Activate newsletter subscription
POST
/cms/channel/{channel_id}/activate_subscription
const url = 'https://api.example.com/cms/channel/1/activate_subscription';const options = { method: 'POST', headers: {'API-Key': '<API-Key>', 'Content-Type': 'application/json'}, body: '{"email":"example","key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/channel/1/activate_subscription \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "key": "example" }'Activate a newsletter subscription for a given email and key
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channel_id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
string
key
string
Example generated
{ "email": "example", "key": "example"}Responses
Section titled “Responses”Activation result
Media typeapplication/json
object
error
boolean
Example generated
{ "error": true}